org.apache.commons.compress.harmony.pack200

## Class PackingUtils

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.PackingUtils

-     public class PackingUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackingUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `config(PackingOptions options)`
    `static void` | `copyThroughJar(JarFile jarFile, OutputStream outputStream)` When effort is 0, the packer copys through the original jar file without compression
    `static void` | `copyThroughJar(JarInputStream jarInputStream, OutputStream outputStream)` When effort is 0, the packer copies through the original jar input stream without compression
    `static List<org.apache.commons.compress.harmony.pack200.Archive.PackingFile>` | `getPackingFileListFromJar(JarFile jarFile, boolean keepFileOrder)`
    `static List<org.apache.commons.compress.harmony.pack200.Archive.PackingFile>` | `getPackingFileListFromJar(JarInputStream jarInputStream, boolean keepFileOrder)`
    `static void` | `log(String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackingUtils

          public PackingUtils()

  - ### Method Detail

    - #### config

          public static void config(PackingOptions options)
                             throws IOException

      Throws:
        `IOException`

    - #### copyThroughJar

          public static void copyThroughJar(JarFile jarFile,
                                            OutputStream outputStream)
                                     throws IOException

      When effort is 0, the packer copys through the original jar file without compression
      Parameters:
        `jarFile` - the input jar file
        `outputStream` - the jar output stream
      Throws:
        `IOException` - If an I/O error occurs.

    - #### copyThroughJar

          public static void copyThroughJar(JarInputStream jarInputStream,
                                            OutputStream outputStream)
                                     throws IOException

      When effort is 0, the packer copies through the original jar input stream without compression
      Parameters:
        `jarInputStream` - the jar input stream
        `outputStream` - the jar output stream
      Throws:
        `IOException` - If an I/O error occurs.

    - #### getPackingFileListFromJar

          public static List<org.apache.commons.compress.harmony.pack200.Archive.PackingFile> getPackingFileListFromJar(JarFile jarFile,
                                                                                                                        boolean keepFileOrder)
                                                                                                                 throws IOException

      Throws:
        `IOException`

    - #### getPackingFileListFromJar

          public static List<org.apache.commons.compress.harmony.pack200.Archive.PackingFile> getPackingFileListFromJar(JarInputStream jarInputStream,
                                                                                                                        boolean keepFileOrder)
                                                                                                                 throws IOException

      Throws:
        `IOException`

    - #### log

          public static void log(String message)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.